Smart Proxy - Bug #716

Init script for rpm starts as foreman-proxy user, but that user has no write permission
03/08/2011 10:51 AM - Jeff Weiss
Pull request:

Description

[root@jweiss-foreman-1 smart-proxyl# service foreman-proxy start
Starting foreman-proxy: WARNING: Missing SSL setup, working in clear text mode !

/usr/lib/ruby/1.8/fileutils.rb:243:in "mkdir': Permission denied - /usr/share/foreman-proxy/bin/../tmp (Errno::EACCES)
from /usr/lib/ruby/1.8/fileutils.rb:243:in “fu_mkdir'

from /ustr/lib/ruby/1.8/fileutils.rb:217:in “mkdir_p'

from /ustr/lib/ruby/1.8/fileutils.rb:215:in “reverse_each’

from /ustr/lib/ruby/1.8/fileutils.rb:215:in “mkdir_p'

from /ustr/lib/ruby/1.8/fileutils.rb:201:in “each’

from /ustr/lib/ruby/1.8/fileutils.rb:201:in “mkdir_p'

from /usr/share/foreman-proxy/bin/../lib/sinatra-patch.rb:15:in “run!'
from /usr/share/foreman-proxy/bin/smart-proxy:102

[FAILED]

[root@jweiss-foreman-1 smart-proxyl# rpm -g foreman-proxy
foreman-proxy-0.1-rc1.noarch

I think the fix might be to have it run as root (change the default FOREMAN_PROXY_USER to root in /etc/sysconfig/foreman-proxy).
Alternative is that the rpm should create the foreman-proxy user with a HOME dir he can write to. Currently that is
/usr/share/foreman-proxy and it is owned by root.

Associated revisions

Revision abb24da4 - 03/10/2011 05:08 AM - Lukas Zapletal

fixes #716 - spec file - no write permission to tmp dir

History

#1 - 03/09/2011 06:34 AM - Ohad Levy
- Assignee set to Lukas Zapletal

- Target version set to 0.1

#2 - 03/10/2011 05:09 AM - Lukas Zapletal

- Status changed from New to Feedback

https://github.com/ohadlevy/smart-proxy/pull/2

#3 - 03/11/2011 03:21 AM - Anonymous
- Status changed from Feedback to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset abb24da49943c13112be42dff52ed3eca27da7e8.

05/13/2024 12



https://github.com/ohadlevy/smart-proxy/pull/2
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/abb24da49943c13112be42dff52ed3eca27da7e8

#4 - 03/13/2011 04:04 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
